View Issue Details

IDCategoryLast Update
0006962bugs2020-04-02 18:33
ReporteruniusAssigned To 
Reproducibilityalways 
Status closedResolutionfixed 
PlatformLinuxOSOS Version
Product Version5.0 
Fixed in Version 
Summary0006962: Crash after change Color Theme
DescriptionIf use libgobject-2.0.so.0 without debug - crash.
If use with --enable-debug=minimum - not crash, but in console:
(ardour:15045): GLib-GObject-CRITICAL **: g_object_unref: assertion 'G_IS_OBJECT (object)' failed
TagsNo tags attached.

Activities

paul

2016-08-20 02:22

administrator   ~0018435

If you can reproduce this crash with one of our (ardour.org) builds, I'll give it some attention. Otherwise this sounds like a problem with your GTK build stack, which we cannot and will not support.

unius

2016-08-20 07:28

reporter   ~0018436

In Mixbus & builded Ardour: g_object_unref: assertion 'G_IS_OBJECT (object)' failed.

I am use standard latest glib-2.48.2, but without debug info.
And of course, this can be a problem of standard GTK, but maybe Ardour.

We are not talking about support, and about how to make Ardour better :)

P.S. overall my build of Ardour is visually faster than the standard

unius

2016-08-20 08:00

reporter   ~0018437

--enable-debug=minimum turn on assertion check, and as result instead of the crash we see message

paul

2016-08-20 14:08

administrator   ~0018439

a backtrace would be the next step.

http://ardour.org/debugging_ardour

We build against glib 2.42.

It is possible that things have changed there, but that may not be the reason.

paul

2016-08-20 14:10

administrator   ~0018440

I am saying this because (a) I don't see this error message when using either my own self-build (on Debian Jessie) or the official bundle (b) nobody else has reported this message either.

unius

2016-08-20 14:27

reporter   ~0018441

Last edited: 2016-08-20 14:29

View 2 revisions

I see this message when run official build from ardour.org !
If put in it lib libglib-2.0.so.0 and libgobject-2.0.so.0 from my system - Ardour crash in message point.
I will try in Debian

paul

2016-08-20 14:48

administrator   ~0018442

What color themes are you switching between? Any two?

A backtrace will show what is going on (probably).

unius

2016-08-20 15:03

reporter  

backtrace.txt (18,795 bytes)
Thread 1 "ardour-5.0.5" received signal SIGSEGV, Segmentation fault.
0x00007ffff510dd58 in g_object_unref ()
   from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libgobject-2.0.so.0
(gdb) thread apply all bt

Thread 34 (LWP 714):
#0  0x00007fffeda83759 in syscall () from /lib/libc.so.6
#1  0x00007ffff4e888c2 in g_cond_wait_until ()
   from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libglib-2.0.so.0
#2  0x00007ffff4e17bd3 in g_async_queue_timeout_pop_unlocked ()
   from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libglib-2.0.so.0
#3  0x00007ffff4e6c2e0 in ?? () from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libglib-2.0.so.0
#4  0x00007ffff4e6bdb0 in ?? () from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libglib-2.0.so.0
#5  0x00007ffff0a433a4 in ?? () from /lib/libpthread.so.0
#6  0x00007fffeda87c3d in clone () from /lib/libc.so.6

Thread 33 (LWP 713):
#0  0x00007fffeda83759 in syscall () from /lib/libc.so.6
#1  0x00007ffff4e888c2 in g_cond_wait_until ()
   from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libglib-2.0.so.0
#2  0x00007ffff4e17bd3 in g_async_queue_timeout_pop_unlocked ()
   from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libglib-2.0.so.0
#3  0x00007ffff4e6c2e0 in ?? () from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libglib-2.0.so.0
#4  0x00007ffff4e6bdb0 in ?? () from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libglib-2.0.so.0
#5  0x00007ffff0a433a4 in ?? () from /lib/libpthread.so.0
#6  0x00007fffeda87c3d in clone () from /lib/libc.so.6

Thread 32 (LWP 712):
#0  0x00007fffeda83759 in syscall () from /lib/libc.so.6
#1  0x00007ffff4e887af in g_cond_wait ()
   from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libglib-2.0.so.0
#2  0x00007ffff799788f in ArdourCanvas::WaveView::drawing_thread() ()
   from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libcanvas.so.0
#3  0x00007ffff538bb72 in ?? () from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libglibmm-2.4.so.1
#4  0x00007ffff4e6bdb0 in ?? () from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libglib-2.0.so.0
#5  0x00007ffff0a433a4 in ?? () from /lib/libpthread.so.0
#6  0x00007fffeda87c3d in clone () from /lib/libc.so.6

Thread 31 (LWP 711):
#0  0x00007ffff0a4c72d in nanosleep () from /lib/libpthread.so.0
#1  0x00007ffff4e6ce28 in g_usleep ()
   from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libglib-2.0.so.0
#2  0x00007ffff6bb974f in ARDOUR::AutomationWatch::thread() ()
   from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libardour.so.3
#3  0x00007ffff538bb72 in ?? () from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libglibmm-2.4.so.1
#4  0x00007ffff4e6bdb0 in ?? () from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libglib-2.0.so.0
#5  0x00007ffff0a433a4 in ?? () from /lib/libpthread.so.0
#6  0x00007fffeda87c3d in clone () from /lib/libc.so.6

Thread 30 (LWP 710):
#0  0x00007ffff0a48fef in pthread_cond_wait () from /lib/libpthread.so.0
#1  0x00007ffff6ed45fe in ARDOUR::Session::auto_connect_thread_run() ()
   from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libardour.so.3
#2  0x00007ffff6ed4699 in ARDOUR::Session::auto_connect_thread(void*) ()
   from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libardour.so.3
#3  0x00007ffff0a433a4 in ?? () from /lib/libpthread.so.0
#4  0x00007fffeda87c3d in clone () from /lib/libc.so.6

Thread 29 (LWP 709):
#0  0x00007ffff0a48fef in pthread_cond_wait () from /lib/libpthread.so.0
#1  0x00007ffff6f39f23 in ARDOUR::Session::emit_thread_run() ()
   from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libardour.so.3
#2  0x00007ffff6f39f49 in ARDOUR::Session::emit_thread(void*) ()
   from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libardour.so.3
#3  0x00007ffff0a433a4 in ?? () from /lib/libpthread.so.0
#4  0x00007fffeda87c3d in clone () from /lib/libc.so.6

Thread 28 (LWP 708):
#0  0x00007fffeda7f19d in poll () from /lib/libc.so.6
#1  0x00007ffff4e44ce4 in ?? () from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libglib-2.0.so.0
#2  0x00007ffff4e44fa2 in g_main_loop_run () from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libglib-2.0.so.0
#3  0x00007ffff5f3199c in BaseUI::main_thread() () from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libpbd.so.4
#4  0x00007ffff538bb72 in ?? () from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libglibmm-2.4.so.1
#5  0x00007ffff4e6bdb0 in ?? () from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libglib-2.0.so.0
#6  0x00007ffff0a433a4 in ?? () from /lib/libpthread.so.0
#7  0x00007fffeda87c3d in clone () from /lib/libc.so.6

Thread 27 (LWP 707):
#0  0x00007fffeda7f19d in poll () from /lib/libc.so.6
#1  0x00007ffff5f3d554 in CrossThreadChannel::poll_for_request() ()
   from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libpbd.so.4
#2  0x00007ffff5f3d5ba in CrossThreadChannel::receive(char&, bool) ()
   from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libpbd.so.4
#3  0x00007ffff6bc6e21 in ARDOUR::Butler::thread_work() () from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libardour.so.3
#4  0x00007ffff6bc74ef in ARDOUR::Butler::_thread_work(void*) ()
   from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libardour.so.3
#5  0x00007ffff5f59830 in ?? () from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libpbd.so.4
#6  0x00007ffff0a433a4 in ?? () from /lib/libpthread.so.0
#7  0x00007fffeda87c3d in clone () from /lib/libc.so.6

Thread 26 (LWP 706):
#0  0x00007ffff0a4b3b7 in ?? () from /lib/libpthread.so.0
#1  0x00007ffff0a4b464 in ?? () from /lib/libpthread.so.0
#2  0x00007ffff6c73c85 in ARDOUR::Graph::restart_cycle() () from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libardour.so.3
#3  0x00007ffff6c73901 in ARDOUR::Graph::run_one() () from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libardour.so.3
#4  0x00007ffff6c73978 in ARDOUR::Graph::helper_thread() () from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libardour.so.3
#5  0x00000000008ee283 in boost::function0<void>::operator()() const ()
#6  0x00007fffe418caa9 in ARDOUR::JACKAudioBackend::_start_process_thread(void*) ()
   from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/backends/libjack_audiobackend.so
#7  0x00007ffff0a433a4 in ?? () from /lib/libpthread.so.0
#8  0x00007fffeda87c3d in clone () from /lib/libc.so.6

Thread 25 (LWP 705):
#0  0x00007ffff0a4b3b7 in ?? () from /lib/libpthread.so.0
#1  0x00007ffff0a4b464 in ?? () from /lib/libpthread.so.0
#2  0x00007ffff6c738af in ARDOUR::Graph::run_one() () from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libardour.so.3
#3  0x00007ffff6c73978 in ARDOUR::Graph::helper_thread() () from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libardour.so.3
#4  0x00000000008ee283 in boost::function0<void>::operator()() const ()
#5  0x00007fffe418caa9 in ARDOUR::JACKAudioBackend::_start_process_thread(void*) ()
   from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/backends/libjack_audiobackend.so
#6  0x00007ffff0a433a4 in ?? () from /lib/libpthread.so.0
#7  0x00007fffeda87c3d in clone () from /lib/libc.so.6

Thread 24 (LWP 704):
#0  0x00007ffff0a4b3b7 in ?? () from /lib/libpthread.so.0
#1  0x00007ffff0a4b464 in ?? () from /lib/libpthread.so.0
#2  0x00007ffff6c738af in ARDOUR::Graph::run_one() () from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libardour.so.3
#3  0x00007ffff6c73978 in ARDOUR::Graph::helper_thread() () from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libardour.so.3
#4  0x00000000008ee283 in boost::function0<void>::operator()() const ()
#5  0x00007fffe418caa9 in ARDOUR::JACKAudioBackend::_start_process_thread(void*) ()
   from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/backends/libjack_audiobackend.so
#6  0x00007ffff0a433a4 in ?? () from /lib/libpthread.so.0
#7  0x00007fffeda87c3d in clone () from /lib/libc.so.6

Thread 23 (LWP 703):
#0  0x00007ffff0a4b3b7 in ?? () from /lib/libpthread.so.0
#1  0x00007ffff0a4b464 in ?? () from /lib/libpthread.so.0
#2  0x00007ffff6c738af in ARDOUR::Graph::run_one() () from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libardour.so.3
#3  0x00007ffff6c73978 in ARDOUR::Graph::helper_thread() () from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libardour.so.3
#4  0x00000000008ee283 in boost::function0<void>::operator()() const ()
#5  0x00007fffe418caa9 in ARDOUR::JACKAudioBackend::_start_process_thread(void*) ()
   from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/backends/libjack_audiobackend.so
#6  0x00007ffff0a433a4 in ?? () from /lib/libpthread.so.0
#7  0x00007fffeda87c3d in clone () from /lib/libc.so.6

Thread 22 (LWP 702):
#0  0x00007ffff0a4b3b7 in ?? () from /lib/libpthread.so.0
#1  0x00007ffff0a4b464 in ?? () from /lib/libpthread.so.0
#2  0x00007ffff6c738af in ARDOUR::Graph::run_one() () from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libardour.so.3
#3  0x00007ffff6c73bf1 in ARDOUR::Graph::main_thread() () from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libardour.so.3
#4  0x00000000008ee283 in boost::function0<void>::operator()() const ()
#5  0x00007fffe418caa9 in ARDOUR::JACKAudioBackend::_start_process_thread(void*) ()
   from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/backends/libjack_audiobackend.so
#6  0x00007ffff0a433a4 in ?? () from /lib/libpthread.so.0
#7  0x00007fffeda87c3d in clone () from /lib/libc.so.6

Thread 20 (LWP 700):
#0  0x00007fffeda83759 in syscall () from /lib/libc.so.6
#1  0x00007ffff4e888c2 in g_cond_wait_until () from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libglib-2.0.so.0
#2  0x00007ffff4e17bd3 in g_async_queue_timeout_pop_unlocked ()
   from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libglib-2.0.so.0
#3  0x00007ffff4e6c2e0 in ?? () from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libglib-2.0.so.0
#4  0x00007ffff4e6bdb0 in ?? () from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libglib-2.0.so.0
#5  0x00007ffff0a433a4 in ?? () from /lib/libpthread.so.0
#6  0x00007fffeda87c3d in clone () from /lib/libc.so.6

Thread 16 (LWP 695):
#0  0x00007fffeda7f19d in poll () from /lib/libc.so.6
#1  0x00007fffd7de9666 in jack_cycle_wait () from /lib/libjack.so.0
#2  0x00007fffe418c2c2 in ARDOUR::JACKAudioBackend::process_thread() ()
   from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/backends/libjack_audiobackend.so
#3  0x00007fffd7de99e7 in ?? () from /lib/libjack.so.0
#4  0x00007ffff0a433a4 in ?? () from /lib/libpthread.so.0
#5  0x00007fffeda87c3d in clone () from /lib/libc.so.6

Thread 15 (LWP 693):
#0  0x00007ffff0a48fef in pthread_cond_wait () from /lib/libpthread.so.0
#1  0x00007fffd7dead9b in ?? () from /lib/libjack.so.0
#2  0x00007ffff0a433a4 in ?? () from /lib/libpthread.so.0
#3  0x00007fffeda87c3d in clone () from /lib/libc.so.6

Thread 11 (LWP 684):
#0  0x00007fffeda7f19d in poll () from /lib/libc.so.6
#1  0x00007ffff4e44ce4 in ?? () from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libglib-2.0.so.0
#2  0x00007ffff4e44dec in g_main_context_iteration () from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libglib-2.0.so.0
#3  0x00007ffff4e44e29 in ?? () from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libglib-2.0.so.0
#4  0x00007ffff4e6bdb0 in ?? () from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libglib-2.0.so.0
#5  0x00007ffff0a433a4 in ?? () from /lib/libpthread.so.0
#6  0x00007fffeda87c3d in clone () from /lib/libc.so.6

Thread 7 (LWP 677):
#0  0x00007fffeda83759 in syscall () from /lib/libc.so.6
#1  0x00007ffff4e887af in g_cond_wait () from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libglib-2.0.so.0
#2  0x00007ffff6b78b5b in ARDOUR::AudioEngine::do_devicelist_update() ()
   from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libardour.so.3
#3  0x00007ffff538bb72 in ?? () from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libglibmm-2.4.so.1
#4  0x00007ffff4e6bdb0 in ?? () from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libglib-2.0.so.0
#5  0x00007ffff0a433a4 in ?? () from /lib/libpthread.so.0
#6  0x00007fffeda87c3d in clone () from /lib/libc.so.6

Thread 6 (LWP 676):
#0  0x00007fffeda83759 in syscall () from /lib/libc.so.6
#1  0x00007ffff4e887af in g_cond_wait () from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libglib-2.0.so.0
#2  0x00007ffff6b78e4d in ARDOUR::AudioEngine::do_reset_backend() ()
   from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libardour.so.3
#3  0x00007ffff538bb72 in ?? () from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libglibmm-2.4.so.1
#4  0x00007ffff4e6bdb0 in ?? () from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libglib-2.0.so.0
#5  0x00007ffff0a433a4 in ?? () from /lib/libpthread.so.0
#6  0x00007fffeda87c3d in clone () from /lib/libc.so.6

Thread 5 (LWP 675):
#0  0x00007fffeda83759 in syscall () from /lib/libc.so.6
#1  0x00007ffff4e887af in g_cond_wait () from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libglib-2.0.so.0
#2  0x00007ffff6b3085b in ARDOUR::Analyser::work() () from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libardour.so.3
#3  0x00007ffff538bb72 in ?? () from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libglibmm-2.4.so.1
#4  0x00007ffff4e6bdb0 in ?? () from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libglib-2.0.so.0
#5  0x00007ffff0a433a4 in ?? () from /lib/libpthread.so.0
#6  0x00007fffeda87c3d in clone () from /lib/libc.so.6

Thread 4 (LWP 674):
#0  0x00007fffeda83759 in syscall () from /lib/libc.so.6
#1  0x00007ffff4e887af in g_cond_wait () from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libglib-2.0.so.0
#2  0x00007ffff6f9339b in ?? () from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libardour.so.3
#3  0x00007ffff538bb72 in ?? () from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libglibmm-2.4.so.1
#4  0x00007ffff4e6bdb0 in ?? () from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libglib-2.0.so.0
#5  0x00007ffff0a433a4 in ?? () from /lib/libpthread.so.0
#6  0x00007fffeda87c3d in clone () from /lib/libc.so.6

Thread 3 (LWP 673):
#0  0x00007fffeda83759 in syscall () from /lib/libc.so.6
#1  0x00007ffff4e887af in g_cond_wait () from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libglib-2.0.so.0
#2  0x00007ffff6f9339b in ?? () from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libardour.so.3
#3  0x00007ffff538bb72 in ?? () from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libglibmm-2.4.so.1
#4  0x00007ffff4e6bdb0 in ?? () from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libglib-2.0.so.0
#5  0x00007ffff0a433a4 in ?? () from /lib/libpthread.so.0
#6  0x00007fffeda87c3d in clone () from /lib/libc.so.6

Thread 2 (LWP 672):
#0  0x00007ffff0a4c72d in nanosleep () from /lib/libpthread.so.0
#1  0x00007ffff4e6ce28 in g_usleep () from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libglib-2.0.so.0
#2  0x0000000000cf17a5 in ?? ()
#3  0x00007ffff0a433a4 in ?? () from /lib/libpthread.so.0
#4  0x00007fffeda87c3d in clone () from /lib/libc.so.6

Thread 1 (LWP 668):
#0  0x00007ffff510dd58 in g_object_unref () from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libgobject-2.0.so.0
#1  0x00007ffff431268a in ?? () from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libgtk-x11-2.0.so.0
#2  0x00007ffff510de87 in g_object_unref () from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libgobject-2.0.so.0
#3  0x00007ffff431469e in ?? () from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libgtk-x11-2.0.so.0
#4  0x00007ffff43150d2 in ?? () from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libgtk-x11-2.0.so.0
#5  0x00007ffff43156be in ?? () from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libgtk-x11-2.0.so.0
#6  0x00007ffff4315851 in ?? () from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libgtk-x11-2.0.so.0
#7  0x00007ffff4315b26 in gtk_rc_parse () from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libgtk-x11-2.0.so.0
#8  0x00007ffff76b27d9 in Gtkmm2ext::UI::load_rcfile(std::string, bool) ()
   from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libgtkmm2ext.so.0
#9  0x0000000000c749e9 in ?? ()
#10 0x0000000000c7b908 in ?? ()
#11 0x0000000000c78b42 in ?? ()
#12 0x0000000000c79be5 in ?? ()
#13 0x0000000000c8385c in ?? ()
#14 0x00000000005b6385 in ?? ()
#15 0x00007ffff539c6b2 in Glib::SignalProxyNormal::slot0_void_callback(_GObject*, void*) ()
   from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libglibmm-2.4.so.1
#16 0x00007ffff510a6ac in g_closure_invoke () from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libgobject-2.0.so.0
#17 0x00007ffff5117ea2 in ?? () from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libgobject-2.0.so.0
#18 0x00007ffff5120a8d in g_signal_emit_valist () from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libgobject-2.0.so.0
#19 0x00007ffff5120c12 in g_signal_emit () from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libgobject-2.0.so.0
#20 0x00007ffff420d54a in ?? () from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libgtk-x11-2.0.so.0
#21 0x00007ffff42120fc in gtk_combo_box_set_active_iter ()
   from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libgtk-x11-2.0.so.0
#22 0x00007ffff4213ab8 in ?? () from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libgtk-x11-2.0.so.0
#23 0x00007ffff42b8f38 in ?? () from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libgtk-x11-2.0.so.0
#24 0x00007ffff510a6ac in g_closure_invoke () from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libgobject-2.0.so.0
#25 0x00007ffff5117b9a in ?? () from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libgobject-2.0.so.0
#26 0x00007ffff512003f in g_signal_emit_valist () from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libgobject-2.0.so.0
#27 0x00007ffff5120c12 in g_signal_emit () from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libgobject-2.0.so.0
#28 0x00007ffff440fd8f in ?? () from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libgtk-x11-2.0.so.0
#29 0x00007ffff42b10d3 in gtk_propagate_event () from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libgtk-x11-2.0.so.0
#30 0x00007ffff42b2c4b in gtk_main_do_event () from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libgtk-x11-2.0.so.0
#31 0x00007ffff3eedf8c in ?? () from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libgdk-x11-2.0.so.0
#32 0x00007ffff4e44a7f in g_main_context_dispatch () from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libglib-2.0.so.0
#33 0x00007ffff4e44d48 in ?? () from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libglib-2.0.so.0
#34 0x00007ffff4e44fa2 in g_main_loop_run () from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libglib-2.0.so.0
#35 0x00007ffff42b2657 in gtk_main () from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libgtk-x11-2.0.so.0
#36 0x00007ffff76af4a4 in Gtkmm2ext::UI::run(Receiver&) () from /data/home/me/Downloads/Ardour_x86_64-5.0.5/lib/libgtkmm2ext.so.0
#37 0x000000000089b07a in ?? ()
#38 0x00007fffed9c16a0 in __libc_start_main () from /lib/libc.so.6
#39 0x000000000049c4c9 in ?? ()
#40 0x00007fffffffe4a8 in ?? ()
#41 0x000000000000001c in ?? ()
#42 0x0000000000000001 in ?? ()
#43 0x00007fffffffe760 in ?? ()
#44 0x0000000000000000 in ?? ()
backtrace.txt (18,795 bytes)

unius

2016-08-20 15:03

reporter   ~0018443

on any color theme

unius

2016-08-20 15:06

reporter   ~0018444

I attach a backtrace for the case of official build, but with new glib,gobject

Issue History

Date Modified Username Field Change
2016-08-18 11:23 unius New Issue
2016-08-20 02:22 paul Note Added: 0018435
2016-08-20 07:28 unius Note Added: 0018436
2016-08-20 08:00 unius Note Added: 0018437
2016-08-20 14:08 paul Note Added: 0018439
2016-08-20 14:10 paul Note Added: 0018440
2016-08-20 14:27 unius Note Added: 0018441
2016-08-20 14:29 unius Note Edited: 0018441 View Revisions
2016-08-20 14:48 paul Note Added: 0018442
2016-08-20 15:03 unius File Added: backtrace.txt
2016-08-20 15:03 unius Note Added: 0018443
2016-08-20 15:06 unius Note Added: 0018444
2020-04-02 18:33 unius Status new => closed
2020-04-02 18:33 unius Resolution open => fixed